Source: haskell-text-metrics
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Ilias Tsitsimpis <iliastsi@debian.org>,
           Clint Adams <clint@debian.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends: debhelper (>= 10),
 haskell-devscripts-minimal | haskell-devscripts (>= 0.9),
 cdbs,
 ghc (>= 8.4.3),
 ghc-prof,
 libghc-vector-dev (>= 0.11),
 libghc-vector-dev (<< 0.13),
 libghc-vector-prof,
 libghc-quickcheck2-dev (>= 2.8),
 libghc-quickcheck2-dev (<< 3.0),
 libghc-hspec-dev (>= 2.0),
 libghc-hspec-dev (<< 3.0),
Build-Depends-Indep: ghc-doc,
 libghc-vector-doc,
Standards-Version: 4.5.0
Homepage: https://github.com/mrkkrp/text-metrics
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-text-metrics
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-text-metrics]
X-Description: Calculate various string metrics efficiently
 This library provides efficient implementations of various strings metric
 algorithms. It works with strict Text values.
 .
 The current version implements the following algorithms:
 .
  * Levenshtein distance
  * Normalized Levenshtein distance
  * Damerau-Levenshtein distance
  * Normalized Damerau-Levenshtein distance
  * Hamming distance
  * Jaro distance
  * Jaro-Winkler distance
  * Overlap coefficient
  * Jaccard similarity coefficient

Package: libghc-text-metrics-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-text-metrics-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-text-metrics-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
